package com.goldenwater.gx.domain;

import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据交换单位对象 gx_exchange_unit
 */
public class GxExchangeUnit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "单位编码")
    private String unitCode;

    @Excel(name = "单位名称")
    private String unitName;

    @Excel(name = "单位类型")
    private String type;

    @Excel(name = "地址")
    private String addr;

    @Excel(name = "联系人")
    private String linkman;

    @Excel(name = "电话")
    private String tele;

    @Excel(name = "邮箱")
    private String mail;

    private String fax;

    private String url;

    private String note;

    @Excel(name = "显示排序")
    private Integer orderNum;

    @Excel(name = "删除标志", readConverterExp = "0=存在,1=删除")
    private String delFlag;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }

    public String getUnitCode() { return unitCode; }
    public void setUnitCode(String unitCode) { this.unitCode = unitCode; }

    public String getUnitName() { return unitName; }
    public void setUnitName(String unitName) { this.unitName = unitName; }

    public String getType() { return type; }
    public void setType(String type) { this.type = type; }

    public String getAddr() { return addr; }
    public void setAddr(String addr) { this.addr = addr; }

    public String getLinkman() { return linkman; }
    public void setLinkman(String linkman) { this.linkman = linkman; }

    public String getTele() { return tele; }
    public void setTele(String tele) { this.tele = tele; }

    public String getMail() { return mail; }
    public void setMail(String mail) { this.mail = mail; }

    public String getFax() { return fax; }
    public void setFax(String fax) { this.fax = fax; }

    public String getUrl() { return url; }
    public void setUrl(String url) { this.url = url; }

    public String getNote() { return note; }
    public void setNote(String note) { this.note = note; }

    public Integer getOrderNum() { return orderNum; }
    public void setOrderNum(Integer orderNum) { this.orderNum = orderNum; }

    public String getDelFlag() { return delFlag; }
    public void setDelFlag(String delFlag) { this.delFlag = delFlag; }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("unitCode", getUnitCode())
                .append("unitName", getUnitName())
                .append("type", getType())
                .append("linkman", getLinkman())
                .append("orderNum", getOrderNum())
                .toString();
    }
}
